/*
MACINTOSH:
compile:  javac -classpath .:KarelJRobot.jar kareltherobot/*.java
run:   java -cp .:KarelJRobot.jar kareltherobot.Application

WINDOWS:
compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
run:  java -cp .;KarelJRobot.jar kareltherobot.Application
*/
/*
Asks the user how many robots they want.  That many robots are then displayed on screen
in the leftmost column.  Each one is then told to move forward 5 places.

code started by Scott McElfresh
*/
package kareltherobot;

import javax.swing.JOptionPane;


public class Application implements Directions
{	public static void main(String [] args)
	{	

		World.readWorld("clear.txt");
	    World.setVisible(true);
		World.setTrace(false);
		World.setDelay(3);
		World.setSize(20,40);  // number of streets and avenues to put in window
		
		
	   String userinput = JOptionPane.showInputDialog("How many robots do you want?");
	   int numrobots = Integer.parseInt(userinput);
	   
	   TurningRobot [] thegang = new TurningRobot[numrobots];
	   for (int i = 0; i < numrobots; i++)
	   {
	     thegang[i] = new TurningRobot(i+1, 1, East, 0);
	   }
	   
	   for (int whichrobot = 0; whichrobot <  numrobots; whichrobot ++)
	   {
	      for (int count = 0; count < 5; count ++)
					thegang[whichrobot].move();
	   }
	}

}